# Get customer by id

> GET /v1/customers/{customer_id}

Source: https://docs.trykintsugi.com/reference/get-customer-by-id

API version: v1 (legacy API)

GET /v1/customers/{customer_id}

Get customer by id

The Get Customer By ID API retrieves the details of a single customer
    using their unique identifier. It returns customer-specific data,
    including contact information, address, name and metadata, etc.

Category: Customers

Path parameters:
customer_id (string, required) - Unique identifier of the customer

Response fields:
phone (string) - Customer's phone number
street_1 (string) - Primary street address.
street_2 (string) - Additional street address details, such as an apartment or suite number.
city (string) - City where the customer resides.
county (string) - County or district of the customer.
state (string) - State or province of the customer.
postal_code (string) - ZIP or Postal code of the customer.
country (CountryCodeEnum) - Country code in ISO 3166-1 alpha-2 format
  allowed values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM (and 239 more, see the reference page)
full_address (string) - Complete address string of the customer, which can be used as an alternative to individual fields.
name (string) - Name of the customer.
external_id (string) - External identifier associated with the customer.
status (StatusEnum) - Status of the customer.
  allowed values: ACTIVE, ARCHIVED
email (string) - Customer's email address
company_name (string) - Registered or legal business name of the customer.
source (SourceEnum) - Source of the customer's record.
  allowed values: BIGCOMMERCE, BESTBUY, BUNNY, CHARGEBEE, SHOPIFY, SHOPLINE, ECWID, STRIPE, AMAZON, TIKTOK, CUSTOM, UNKNOWN (and 69 more, see the reference page)
connection_id (string) - Identifier for the connection source, if applicable.
address_status (AddressStatus) - Status of address verification
  allowed values: UNVERIFIED, INVALID, PARTIALLY_VERIFIED, VERIFIED, UNVERIFIABLE, BLANK
registration_number (string) - Registration number of the customer.
external_friendly_id (string) - External friendly identifier associated with the customer. We need it for netsuite.
customer_tax_registrations (CustomerTaxRegistrationRead[]) - Customer tax registrations associated with the customer.
  id (string, required)
  customer_id (string, required)
  country_code (CountryCodeEnum, required)
    allowed values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM (and 239 more, see the reference page)
[truncated, see the reference page]

---

Index of every page: https://docs.trykintsugi.com/llms.txt
